> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Segment

> Delete a segment and all associated contact segment relationships. Contacts will not be deleted.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json delete /orgs/{org_id}/segments/{segment_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/segments/{segment_id}:
    delete:
      tags:
        - Orgs Segments
      summary: Delete a Segment
      description: >-
        Delete a segment and all associated contact segment relationships.
        Contacts will not be deleted.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Segment ID
          name: segment_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````